#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	HTML
%define		pnam	Template-Expr
Summary:	HTML::Template::Expr - HTML::Template extension adding expression support
Summary(pl.UTF-8):	HTML::Template::Expr - rozszerzenie HTML::Template dodające obsługę wyrażeń
Name:		perl-HTML-Template-Expr
Version:	0.07
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	717ea56c2244b6e2d26a0e477a4d069c
URL:		http://search.cpan.org/dist/HTML-Template-Expr/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Template >= 2.4
BuildRequires:	perl-Parse-RecDescent
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an extension to HTML::Template which allows
expressions in the template syntax. This is purely an addition - all
the normal HTML::Template options, syntax and behaviors will still
work. See HTML::Template for details.

%description -l pl.UTF-8
Ten moduł dostarcza rozszerzenie do HTML::Template, pozwalające na
używanie wyrażeń w składni szablonów. Jest to czysty dodatek -
wszystkie normalne opcje HTML::Template, składnia i zachowanie nadal
działa. Więcej szczegółów w HTML::Template.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/HTML/Template/*.pm
%{_mandir}/man3/*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-HTML-Template-Expr.git;a=log;h=876e2a9941b54c941beb2ceffb57935410a83f36

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 876e2a9
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 98b968f
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 33c5c43
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ba62adc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f6e7d21
- converted to UTF-8

* Thu Aug 24 2006 radek <radek@pld-linux.org> a482b5b
- version 0.07

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f70a3ae
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 113cfac
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 5fc05b0
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 8f2f59a
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 63a17d3
- ported to new bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 03b777b
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 42d323b
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 779c6aa
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> c2eed9d
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> ae5e40b
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> a577ea7
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> d5c6e6a
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 31d9f02
- massive attack: change CPAN URLs

* Sat Aug 31 2002 radek <radek@pld-linux.org> 3043bff
- version 0.04

